﻿
/* News and Events - Featured Video Channel Page
Three Column Video 
3 Video Players */


.featured-video-section iframe {
    width: 100%;
}

.side-video {
    top: 80px;
}

.side-video-container,
.side-video-container .c-media-container-img-placeHolder {
    max-height: 220px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
}

    .side-video-container video {
        height: 220px !important;
    }

    .side-video-container .video-container {
        height: 100%;
        max-height: 220px;
    }

    .side-video-container .c-media-container-img-placeHolder,
    .center-video-container .c-media-container-img-placeHolder {
        width: 100%;
        height: 100%;
    }

.center-video-container,
.center-video-container .c-media-container-img-placeHolder {
    max-height: 420px;
    display: flex;
    box-shadow: 3px 3px 20px 0 rgba(0, 0, 0, 0.33);
    max-width: 620px;
    margin: 0 auto;
    flex-direction: column;
}

    .center-video-container video {
        height: 420px !important;
    }

    .center-video-container .video-container {
        height: 100%;
        max-height: 420px;
    }

    .side-video-container video,
    .center-video-container video {
        max-width: 100% !important;
        object-fit: cover;
    }

    .side-video-container .video-container,
    .center-video-container .video-container {
        max-width: 100% !important;
        object-fit: cover;
    }

    .video-play-button,
    .side-video-container .c-media-container-img-btn,
    .center-video-container .c-media-container-img-btn {
        position: absolute;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
    }

.video-text {
    text-align: center;
    color: #002f6d;
    padding: 0.75rem 2rem 1rem 2rem;
    font-weight: 500;
    font-size: 20px;
    font-family: var(--font-noto);
}

    .video-text p {
        margin-bottom: 0;
    }

.center-video-container + .video-text {
    padding-top: 1rem;
    font-weight: 600;
    font-size: 30px;
}

.video-subtext {
    font-weight: 500;
    font-size: 20px;
    color: #444444;
    padding-top: 1rem;
}


@media(max-width : 1199.98px) {
    .side-video {
        top: 60px;
    }

    .side-video-container video {
        height: 170px !important;
    }

    .center-video-container video {
        height: 340px !important;
    }

    .center-video-container .video-container {
        height: 100%;
        max-height: 170px;
    }

    .center-video-container .video-container {
        height: 100%;
        max-height: 340px;
    }

    .side-video-container .c-media-container-img-btn,
    .center-video-container .c-media-container-img-btn {
        height: 60px;
        width: 60px;
    }

    .video-text {
        font-size: 18px;
    }

    .center-video-container + .video-text {
        padding-top: 1rem;
        font-size: 25px;
    }

    .video-subtext {
        font-size: 18px;
    }
}

/*Mobile View */
@media(max-width : 1199.98px) {
    .featured-video-section .c-media-container-img-placeHolder {
        max-height: 360px !important;
        width: 100%;
        object-fit: contain;
    }

    .featured-video-section .c-media-container-img-btn {
        height: 52px;
        width: 52px;
        position: absolute;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
    }
}

.featured-video-section .carousel-caption {
    top: 0;
}

.featured-video-section .h3-responsive {
    font-size: 25px;
    margin-bottom: 0;
}

.featured-video-section .carousel-caption {
    color: #002f6d;
    position: relative;
    width: 100%;
    padding-top: 0;
    font-family: var(--font-noto);
    text-align: center;
    left: 0;
}

.featured-video-section .carousel-control-prev-icon,
.featured-video-section .carousel-control-next-icon {
    background: none !important;
    display: inline-block;
    width: 36px;
    height: 40px;
}

.featured-video-section .carousel-control-prev {
    left: -20px;
    justify-content: flex-start;
}

.featured-video-section .carousel-control-prev,
.featured-video-section .carousel-control-next {
    opacity: 1;
    height: 100%;
    width: 40px;
    top: 30px;
}

.featured-video-section .carousel-control-next {
    right: -20px;
    justify-content: flex-end;
}

.featured-video-section .customPrevBtn,
.featured-video-section .customNextBtn {
    width: 100%;
    height: 100%;
    opacity: 1;
}

.featured-video-section .carousel-indicators {
    margin-top: 1rem;
    position: relative;
    display: none;
}

/*
    .featured-video-section .carousel-indicators li {
        width: 10px;
        height: 10px;
        border-radius: 100%;
        background-color: var(--primary-green);
    }

.featured-video-section .carousel-control-next {
    display: none;
}

.featured-video-section .carousel-control-prev {
    display: none;
}

    If indicators color needs to be changed 
.featured-video-section .carousel-indicators li {
  background-color: red !important;
}

.featured-video-section .carousel-indicators .active {
  background-color: var(--primary-green) !important;
}
                                                                                                                                                                                                                                
 */
